# COLDSTEEL - Windows Remote Access Tool

## Summary

COLDSTEEL is a Remote Access Tool designed to support interactive desktop functionality and command-line access.

You can find more information on the threat in the following articles:

- [COLDSTEEL Malware Analysis Report by NCSC](https://www.ncsc.gov.uk/static-assets/documents/malware-analysis-reports/cold-steel/NCSC-MAR-Cold-Steel.pdf)

## Rules

- [COLDSTEEL Persistence Service Creation](./win_system_malware_coldsteel_persistence_service.yml)
- [COLDSTEEL RAT Anonymous User Process Execution](./proc_creation_win_malware_coldsteel_anonymous_process.yml)
- [COLDSTEEL RAT Cleanup Command Execution](./proc_creation_win_malware_coldsteel_cleanup.yml)
- [COLDSTEEL RAT Service Persistence Execution](./proc_creation_win_malware_coldsteel_service_persistence.yml)
- [Potential COLDSTEEL Persistence Service DLL Creation](./file_event_win_malware_coldsteel_service_dll_creation.yml)
- [Potential COLDSTEEL Persistence Service DLL Load](./image_load_malware_coldsteel_persistence_service_dll.yml)
- [Potential COLDSTEEL RAT File Indicators](./file_event_win_malware_coldsteel_renamed_cmd.yml)
- [Potential COLDSTEEL RAT Windows User Creation](./registry_set_malware_coldsteel_created_users.yml)
